# EvLoop::signal

(PECL ev >= 0.2.0)

EvLoop::signal — Creates EvSignal watcher object associated with the current event loop instance

### Description

final public EvLoop::signal ( int `$signum` , callable `$callback` [, mixed `$data` = `NULL` [, int `$priority` = 0 ]] ) : EvSignal

Creates EvSignal watcher object associated with the current event loop instance

### Parameters

All parameters have the same meaning as for EvSignal::__construct()

### Return Values

Returns EvSignal object on success

### See Also

- EvSignal::__construct() - Constructs EvSignal watcher object